## ignition-physics5 5.1.0

=== heightmap/CMakeLists.txt ===
ign_add_component(heightmap INTERFACE
  GET_TARGET_NAME heightmap)

target_link_libraries(${heightmap}
  INTERFACE
    ignition-common${IGN_COMMON_VER}::graphics)

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")

=== debian/changelog ===
ignition-physics5 (5.1.0-1~buster) buster; urgency=medium

  * ignition-physics5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Nov 2021 09:51:32 -0800

ignition-physics5 (5.0.0-3~buster) buster; urgency=medium

  * ignition-physics5 5.0.0-3 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 01 Oct 2021 10:52:22 -0700

ignition-physics5 (5.0.0-2~buster) buster; urgency=medium

  * ignition-physics5 5.0.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 01 Oct 2021 10:24:22 -0700

ignition-physics5 (5.0.0-1~buster) buster; urgency=medium

  * ignition-physics5 5.0.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 30 Sep 2021 21:04:47 -0500

ignition-physics5 (5.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-physics5 5.0.0~pre1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 21 Sep 2021 12:03:16 -0500

ignition-physics5 (4.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:33 -0700

=== debian/control ===
Source: ignition-physics5
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               libbullet-dev,
               libignition-cmake2-dev (>= 2.1.0),
               libignition-common4-graphics-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
               libignition-utils1-dev,
               libignition-utils1-cli-dev,
# dart without major version number to get versions coming from Debian
               libdart6-dev (<< 6.10.0) [amd64] | libdart-dev (<< 6.10.0) [amd64],
               libdart6-collision-bullet-dev (<< 6.10.0) [amd64] | libdart-collision-bullet-dev (<< 6.10.0) [amd64],
               libdart6-collision-ode-dev (<< 6.10.0) [amd64] | libdart-collision-ode-dev (<< 6.10.0) [amd64],
               libdart6-external-ikfast-dev (<< 6.10.0) [amd64] | libdart-external-ikfast-dev (<< 6.10.0) [amd64],
               libdart6-external-odelcpsolver-dev (<< 6.10.0) [amd64] | libdart-external-odelcpsolver-dev (<< 6.10.0) [amd64],
               libdart6-utils-dev (<< 6.10.0) [amd64] | libdart-utils-dev (<< 6.10.0) [amd64],
               libdart6-utils-urdf-dev (<< 6.10.0) [amd64] | libdart-utils-urdf-dev (<< 6.10.0) [amd64],
               libsdformat12-dev
Vcs-Browser: https://github.com/ignition-release/ign-physics5-release
Vcs-Git: https://github.com/ignition-release/ign-physics5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-physics5-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5 (= ${binary:Version}),
         libignition-utils1-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core component, development files

Package: libignition-physics5-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libsdformat12-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - SDF Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  SDF component, development files

Package: libignition-physics5-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Mesh Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Mesh component, development files

Package: libignition-physics5-heightmap-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Heightmap Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Heightmap component, development files

Package: libignition-physics5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Shared library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-physics5-dartsim-dev
Architecture: amd64
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libdart6-dev (<< 6.10.0) | libdart-dev (<< 6.10.0),
         libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (<< 6.10.0),
         libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (<< 6.10.0),
         libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (<< 6.10.0),
         libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (<< 6.10.0),
         libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (<< 6.10.0),
         libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (<< 6.10.0),
         libsdformat12-dev,
         libignition-physics5-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Dartsim component, development files

Package: libignition-physics5-dartsim
Architecture: amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  DARTSim component shared library

Package: libignition-physics5-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat12-dev,
         libignition-physics5-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component, development files

Package: libignition-physics5-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - TPE library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component shared library

Package: libignition-physics5-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component, development files

Package: libignition-physics5-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - TPE library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component shared library

Package: libignition-physics5-bullet-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libbullet-dev,
         libsdformat11-dev,
         libignition-physics5-bullet (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Bullet component, development files

Package: libignition-physics5-bullet
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Bullet engine
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Bullet component shared library

Package: libignition-physics5-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-bullet-dev (= ${binary:Version}),
         libignition-physics5-dartsim-dev (= ${binary:Version}) [amd64],
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-tpe-dev (= ${binary:Version}),
         libignition-physics5-tpelib-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Metapackage
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage, all development files

## ignition-physics5 5.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-physics5 VERSION 5.2.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.12.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
  COMPONENTS graphics profiler
  REQUIRED_BY heightmap mesh dartsim tpe tpelib bullet)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all VERSION 1.1)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-utils
ign_find_package(ignition-utils1 REQUIRED COMPONENTS cli)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

#--------------------------------------
# Find Eigen
ign_find_package(EIGEN3 REQUIRED)

#--------------------------------------
# Find SDFormat for the SDF features
ign_find_package(sdformat12
  REQUIRED_BY sdf dartsim tpe bullet)

#--------------------------------------
# Find dartsim for the dartsim plugin wrapper
ign_find_package(DART
  COMPONENTS
    collision-bullet
    collision-ode
    utils
    utils-urdf
  CONFIG
  VERSION 6.9
  REQUIRED_BY dartsim
  PKGCONFIG dart
  PKGCONFIG_VER_COMPARISON >=)

#--------------------------------------
# Find bullet for the bullet plugin wrapper
ign_find_package(IgnBullet
  VERSION 2.87
  REQUIRED_BY bullet
  PKGCONFIG bullet
  PKGCONFIG_VER_COMPARISON >=)

message(STATUS "-------------------------------------------\n")

set(IGNITION_PHYSICS_RESOURCE_DIR "${CMAKE_SOURCE_DIR}/resources")

# Plugin install dirs
set(IGNITION_PHYSICS_ENGINE_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS sdf heightmap mesh dartsim tpe bullet)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
    "${IGNITION-PLUGIN_DOXYGEN_TAGFILE} = ${IGNITION-PLUGIN_API_URL}"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

file(COPY ${CMAKE_SOURCE_DIR}/tutorials/img/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/img/)

=== examples/hello_world_loader/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

project(ign-physics-hello-world-loader)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 5)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_executable(hello_world_loader hello_world_loader.cc)
target_link_libraries(hello_world_loader
  ignition-plugin${IGN_PLUGIN_VER}::loader
  ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

=== examples/hello_world_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

project(ign-physics-hello-world-plugin)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 5)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_library(HelloWorldPlugin SHARED HelloWorldPlugin.cc)
target_link_libraries(HelloWorldPlugin
  PRIVATE
    ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

=== examples/simple_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

project(ign-physics-simple-plugin)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 5)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_library(SimplePlugin SHARED plugin.cc EntityManagementFeatures.cc)
target_link_libraries(SimplePlugin
  PRIVATE
    ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

add_executable(PluginTest EntityManagementFeatures_TEST.cc)
target_link_libraries(PluginTest
  ignition-plugin${IGN_PLUGIN_VER}::loader
  ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

target_compile_definitions(PluginTest PRIVATE
  "simple_plugin_LIB=\"$<TARGET_FILE:SimplePlugin>\"")

=== debian/changelog ===
ignition-physics5 (5.2.0-2~focal) focal; urgency=medium

  * ignition-physics5 5.2.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:47:15 -0700

ignition-physics5 (5.2.0-1~focal) focal; urgency=medium

  * ignition-physics5 5.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 29 Jun 2022 11:48:05 -0700

ignition-physics5 (5.1.0-2~focal) focal; urgency=medium

  * ignition-physics5 5.1.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 17 Mar 2022 01:08:45 +0100

ignition-physics5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-physics5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Nov 2021 09:51:32 -0800

ignition-physics5 (5.0.0-1~focal) focal; urgency=medium

  * ignition-physics5 5.0.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 30 Sep 2021 21:04:47 -0500

ignition-physics5 (5.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-physics5 5.0.0~pre1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 21 Sep 2021 12:03:15 -0500

ignition-physics5 (4.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:33 -0700

=== debian/control ===
Source: ignition-physics5
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               libbullet-dev,
               libignition-cmake2-dev (>= 2.1.0),
               libignition-common4-graphics-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
               libignition-utils1-dev,
               libignition-utils1-cli-dev,
               libdart6-dev (<< 6.10.0) | libdart-dev (>> 6.9.0),
               libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (>> 6.9.0),
               libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (>> 6.9.0),
               libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (>> 6.9.0),
               libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (>> 6.9.0),
               libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (>> 6.9.0),
               libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (>> 6.9.0),
               libsdformat12-dev
Vcs-Browser: https://github.com/gazebo-release/gz-physics5-release
Vcs-Git: https://github.com/gazebo-release/gz-physics5-release
Homepage: http://gazebosim.org/

Package: libignition-physics5-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-plugin-dev,
         libignition-physics5 (= ${binary:Version}),
         libignition-utils1-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core component, development files

Package: libignition-physics5-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libsdformat12-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - SDF Dev files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  SDF component, development files

Package: libignition-physics5-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Mesh Dev files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Mesh component, development files

Package: libignition-physics5-heightmap-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Heightmap Dev files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Heightmap component, development files

Package: libignition-physics5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Shared library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-physics5-dartsim-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev,
         libdart6-dev (>> 6.9.0) | libdart-dev (>> 6.9.0),
         libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (>> 6.9.0),
         libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (>> 6.9.0),
# following dart dependencies are not direct dependencies
# added here to force upgrade from 6.7.2
         libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (>> 6.9.0),
         libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (>> 6.9.0),
         libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (>> 6.9.0),
         libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (>> 6.9.0),
         libsdformat12-dev,
         libignition-physics5-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Dartsim component, development files

Package: libignition-physics5-dartsim
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Dartsim library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  DARTSim component shared library

Package: libignition-physics5-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat12-dev,
         libignition-physics5-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component, development files

Package: libignition-physics5-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - TPE library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component shared library

Package: libignition-physics5-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component, development files

Package: libignition-physics5-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - TPE library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component shared library

Package: libignition-physics5-bullet-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev,
         libbullet-dev,
         libsdformat12-dev,
         libignition-physics5-bullet (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Bullet component, development files

Package: libignition-physics5-bullet
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Bullet engine
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Bullet component shared library

Package: libignition-physics5-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-bullet-dev (= ${binary:Version}),
         libignition-physics5-dartsim-dev (= ${binary:Version}),
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-tpe-dev (= ${binary:Version}),
         libignition-physics5-tpelib-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Metapackage
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage, all development files

Package: libgz-physics5-core-dev
Depends: libignition-physics5-core-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-sdf-dev
Depends: libignition-physics5-sdf-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-mesh-dev
Depends: libignition-physics5-mesh-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-heightmap-dev
Depends: libignition-physics5-heightmap-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5
Depends: libignition-physics5 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-dartsim-dev
Depends: libignition-physics5-dartsim-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
